<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="@dimen/default_dialog_width"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:orientation="vertical"
        android:background="@drawable/background_shape_white_radius_8">

        <TextView
            android:id="@+id/reasonTitle"
            android:layout_width="match_parent"
            android:layout_height="56dp"
            android:background="@drawable/bg_report_reason_top"
            android:gravity="center"
            android:textStyle="bold"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:text="@string/report_reason_title" />

        <LinearLayout
            android:id="@+id/normalReasonContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="16dp"
            android:paddingRight="16dp">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/reasonRv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:overScrollMode="never" />

            <!--<TextView
                android:id="@+id/reasonOne"
                android:layout_width="match_parent"
                android:layout_height="54dp"
                android:gravity="center_vertical"
                android:textColor="@color/text_333333"
                android:textSize="14sp"
                android:text="@string/report_reason_one" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/text_F5F5F5" />

            <TextView
                android:id="@+id/reasonTwo"
                android:layout_width="match_parent"
                android:layout_height="54dp"
                android:gravity="center_vertical"
                android:textColor="@color/text_333333"
                android:textSize="14sp"
                android:text="@string/report_reason_two" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/text_F5F5F5" />

            <TextView
                android:id="@+id/reasonThree"
                android:layout_width="match_parent"
                android:layout_height="54dp"
                android:gravity="center_vertical"
                android:textColor="@color/text_333333"
                android:textSize="14sp"
                android:text="@string/report_reason_three" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/text_F5F5F5" />

            <TextView
                android:id="@+id/reasonFour"
                android:layout_width="match_parent"
                android:layout_height="54dp"
                android:gravity="center_vertical"
                android:textColor="@color/text_333333"
                android:textSize="14sp"
                android:text="@string/report_reason_four" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/text_F5F5F5" />

            <RelativeLayout
                android:id="@+id/reasonOther"
                android:layout_width="match_parent"
                android:layout_height="56dp">

                <TextView
                    android:id="@+id/reasonOtherTv"
                    android:layout_width="match_parent"
                    android:layout_height="54dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/text_333333"
                    android:textSize="14sp"
                    android:text="@string/report_reason_other" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_alignParentRight="true"
                    android:src="@drawable/ic_report_arrow" />
            </RelativeLayout>-->
        </LinearLayout>

        <LinearLayout
            android:visibility="gone"
            android:id="@+id/otherReasonContainer"
            android:layout_width="match_parent"
            android:layout_height="274dp"
            android:orientation="vertical">

            <EditText
                android:id="@+id/otherReasonEt"
                android:layout_width="match_parent"
                android:layout_height="176dp"
                android:layout_marginTop="11dp"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:paddingTop="4dp"
                android:paddingBottom="4dp"
                android:maxLength="500"
                android:gravity="left"
                android:background="@null"
                android:lineSpacingExtra="4dp"
                android:hint="@string/report_reason_other_hint"
                android:textCursorDrawable="@drawable/cursor_color"
                android:textColorHint="@color/text_instance"
                android:textColor="@color/text_tertiary"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tvCount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:layout_marginRight="16dp"
                android:layout_gravity="right"
                android:textColor="@color/text_tertiary"
                android:textSize="12sp"
                android:text="0/500" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="12dp"
                android:background="@color/ui_divider" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/negativeBtn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:textColor="@color/text_secondary"
                    android:textSize="14sp"
                    android:text="@string/report_reason_other_negative" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="@color/ui_divider" />

                <TextView
                    android:id="@+id/positiveBtn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:textColor="@color/text_theme"
                    android:textSize="14sp"
                    android:text="@string/report_reason_other_positive" />
            </LinearLayout>

        </LinearLayout>
    </LinearLayout>
</FrameLayout>